6.0.0-git
2019-03-21

[#11292] PHP error on "Forward" -> "Redirect"
Summary PHP error on "Forward" -> "Redirect"
Queue IMP
Queue Version Git develop
Type Bug
State Resolved
Priority 2. Medium
Owners slusarz (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2012-07-20 (2435 days ago)
Due
Updated 2012-08-29 (2395 days ago)
Assigned 2012-07-21 (2434 days ago)
Resolved 2012-07-24 (2431 days ago)
Milestone
Patch No

History
2012-08-29 12:44:44 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit addbcbe148775d2e2d7d9a0889f73027d20b07b3
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Jul 24 13:57:23 2012 -0600

     [mms] Fix redirect message action in dynamic view (Bug #11292).

     This was never updated to the new UI.

  imp/js/compose-dimp.js                  |   51 ++++++++++++++++++-----------
  imp/js/message-dimp.js                  |   17 +---------
  imp/lib/Dynamic/Compose.php             |   53 
+++++++++++++++----------------
  imp/lib/Dynamic/Compose/Common.php      |    3 --
  imp/templates/dynamic/redirect.html.php |   34 ++++++++++----------
  5 files changed, 75 insertions(+), 83 deletions(-)

http://git.horde.org/horde-git/-/commit/addbcbe148775d2e2d7d9a0889f73027d20b07b3
2012-07-24 20:47:18 Michael Slusarz State ⇒ Resolved
 
2012-07-24 20:46:13 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (develop):

commit addbcbe148775d2e2d7d9a0889f73027d20b07b3
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Jul 24 13:57:23 2012 -0600

     [mms] Fix redirect message action in dynamic view (Bug #11292).

     This was never updated to the new UI.

  imp/js/compose-dimp.js                  |   51 ++++++++++++++++++-----------
  imp/js/message-dimp.js                  |   17 +---------
  imp/lib/Dynamic/Compose.php             |   53 
+++++++++++++++----------------
  imp/lib/Dynamic/Compose/Common.php      |    3 --
  imp/templates/dynamic/redirect.html.php |   34 ++++++++++----------
  5 files changed, 75 insertions(+), 83 deletions(-)

http://git.horde.org/horde-git/-/commit/addbcbe148775d2e2d7d9a0889f73027d20b07b3
2012-07-21 03:28:51 Michael Rubinsky Assigned to Michael Slusarz
State ⇒ Assigned
Priority ⇒ 2. Medium
 
2012-07-20 09:31:23 Thomas Jarosch Comment #2 Reply to this comment
To be precise: "Redirect" doesn't work at all :o)

2012-07-20 09:29:34 Thomas Jarosch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ PHP error on "Forward" -> "Redirect"
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

if you forward a message as "Redirect", you'll get this error message 
in the logs:

2012-07-20T11:28:26+02:00 NOTICE: HORDE [imp] PHP ERROR: Undefined 
variable: onload [pid 14386 on line 227 of 
"/datastore/DEVEL/horde/imp/lib/Dynamic/Compose.php"]

Thomas

Saved Queries